Package com.io7m.cardant.protocol.inventory.cb

# Interface CAI1MetadataValueMatch

All Superinterfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

All Known Implementing Classes:
  `CAI1MetadataValueMatch.Anything`, `CAI1MetadataValueMatch.IntegralWithinRange`, `CAI1MetadataValueMatch.MonetaryWithCurrency`, `CAI1MetadataValueMatch.MonetaryWithinRange`, `CAI1MetadataValueMatch.RealWithinRange`, `CAI1MetadataValueMatch.TextExact`, `CAI1MetadataValueMatch.TextSearch`, `CAI1MetadataValueMatch.TimeWithinRange`

public sealed interface CAI1MetadataValueMatch extends com.io7m.cedarbridge.runtime.api.CBSerializableType permits CAI1MetadataValueMatch.Anything, CAI1MetadataValueMatch.IntegralWithinRange, CAI1MetadataValueMatch.RealWithinRange, CAI1MetadataValueMatch.TimeWithinRange, CAI1MetadataValueMatch.MonetaryWithinRange, CAI1MetadataValueMatch.MonetaryWithCurrency, CAI1MetadataValueMatch.TextExact, CAI1MetadataValueMatch.TextSearch
An expression against which item metadata values are matched.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final record`
  `CAI1MetadataValueMatch.Anything`
  `static final record`
  `CAI1MetadataValueMatch.IntegralWithinRange`
  `static final record`
  `CAI1MetadataValueMatch.MonetaryWithCurrency`
  `static final record`
  `CAI1MetadataValueMatch.MonetaryWithinRange`
  `static final record`
  `CAI1MetadataValueMatch.RealWithinRange`
  `static final record`
  `CAI1MetadataValueMatch.TextExact`
  `static final record`
  `CAI1MetadataValueMatch.TextSearch`
  `static final record`
  `CAI1MetadataValueMatch.TimeWithinRange`

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static CAI1MetadataValueMatch`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type CAI1MetadataValueMatch.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1MetadataValueMatch $x)`
  Serialize a value of type CAI1MetadataValueMatch.

- ## Method Details

  - ### serialize

    static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1MetadataValueMatch $x) throws IOException
    Serialize a value of type CAI1MetadataValueMatch.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    static CAI1MetadataValueMatch deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type CAI1MetadataValueMatch.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type CAI1MetadataValueMatch.
    Throws:
      `IOException`